Loading...
Searching...
No Matches
Catch::ReusableStringStream Class Reference

`#include <catch_amalgamated.hpp>`

Inheritance diagram for Catch::ReusableStringStream:
[legend]
Collaboration diagram for Catch::ReusableStringStream:
[legend]

## Public Member Functions

| ReusableStringStream ()
| ~ReusableStringStream ()
std::string | str () const
| Returns the serialized state.
void | str (std::string const &str)
| Sets internal state to `str`
template<typename T>
auto | operator<< (T const &value) -> ReusableStringStream &
auto | get () -> std::ostream &

## Private Attributes

std::size_t | m_index
std::ostream * | m_oss

## Additional Inherited Members

Private Member Functions inherited from Catch::Detail::NonCopyable
| NonCopyable () noexcept=default

## Constructor & Destructor Documentation

## ReusableStringStream()

Catch::ReusableStringStream::ReusableStringStream | ( |  | ) |

Here is the call graph for this function:
Here is the caller graph for this function:

## ~ReusableStringStream()

Catch::ReusableStringStream::~ReusableStringStream | ( |  | ) |

Here is the call graph for this function:

## Member Function Documentation

## get()

auto Catch::ReusableStringStream::get | ( |  | ) | -> std::ostream&

inline

Here is the caller graph for this function:

## operator<<()

template<typename T>

auto Catch::ReusableStringStream::operator<< | ( | T const & | value | ) | -> ReusableStringStream&

inline

Here is the call graph for this function:

## str() [1/2]

std::string Catch::ReusableStringStream::str | ( |  | ) | const

Returns the serialized state.

Here is the call graph for this function:
Here is the caller graph for this function:

## str() [2/2]

void Catch::ReusableStringStream::str | ( | std::string const & | str | ) |

Sets internal state to `str`

Here is the call graph for this function:

## Member Data Documentation

## m_index

std::size_t Catch::ReusableStringStream::m_index

private

## m_oss

std::ostream* Catch::ReusableStringStream::m_oss

private

The documentation for this class was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp